class OrganizationListModel {
  final bool success;
  final String message;
  final List<String> data;
  final int statusCode;
  final String timestamp;

  OrganizationListModel({
    required this.success,
    required this.message,
    required this.data,
    required this.statusCode,
    required this.timestamp,
  });

  factory OrganizationListModel.fromJson(Map<String, dynamic> json) {
    return OrganizationListModel(
      success: json['success'] ?? false,
      message: json['message'] ?? '',
      data: List<String>.from(json['data'] ?? []),
      statusCode: json['statusCode'] ?? 0,
      timestamp: json['timestamp'] ?? '',
    );
  }
}
